# QStyleOptionToolBar Class Reference

### [com.trolltech.qt.gui package]

Inherits QStyleOption.

### Constructor

- void QStyleOptionToolBar()
- void QStyleOptionToolBar(QStyleOptionToolBar other)

### Constructor Properties

- prototype: The QStyleOptionToolBar prototype object
- Version = 1
- StyleOptionVersion( value )
- Type = SO_ToolBar
- StyleOptionType( value )
- Beginning
- Middle
- End
- OnlyOne
- ToolBarPosition( value )
- None = 0x0
- Movable = 0x1
- ToolBarFeature( value )
- ToolBarFeatures( value1, value2, ... )

### Instance Properties

QStyleOptionToolBar objects have no special properties beyond those inherited from the QStyleOptionToolBar prototype object.